Index: code/branches/cpp11_v2/src/orxonox/CameraManager.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/CameraManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/CameraManager.cc	(revision 10768)
@@ -60,5 +60,5 @@
             return this->cameraList_.front();
         else
-            return 0;
+            return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/Level.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/Level.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/Level.cc	(revision 10768)
@@ -54,5 +54,5 @@
         this->registerVariables();
         this->xmlfilename_ = this->getFilename();
-        this->xmlfile_ = 0;
+        this->xmlfile_ = nullptr;
     }
 
@@ -178,5 +178,5 @@
             ++i;
         }
-        return 0;
+        return nullptr;
     }
 
@@ -195,5 +195,5 @@
             return this->lodInformation_.find(meshName)->second;
 
-        return 0;
+        return nullptr;
     }
 
@@ -207,5 +207,5 @@
     {
         orxout(internal_info) << "player left level (id: " << player->getClientID() << ", name: " << player->getName() << ')' << endl;
-        player->switchGametype(0);
+        player->switchGametype(nullptr);
     }
 }
Index: code/branches/cpp11_v2/src/orxonox/LevelManager.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/LevelManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/LevelManager.cc	(revision 10768)
@@ -161,5 +161,5 @@
             return this->levels_.front();
         else
-            return 0;
+            return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/PlayerManager.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/PlayerManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/PlayerManager.cc	(revision 10768)
@@ -62,5 +62,5 @@
 
             // create new HumanPlayer instance
-            HumanPlayer* player = new HumanPlayer(0);
+            HumanPlayer* player = new HumanPlayer(nullptr);
             player->setClientID(clientID);
 
@@ -115,5 +115,5 @@
                     return (*it);
         }
-        return 0;
+        return nullptr;
     }
 }
Index: code/branches/cpp11_v2/src/orxonox/Radar.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/Radar.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/Radar.cc	(revision 10768)
@@ -49,6 +49,6 @@
 
     Radar::Radar()
-        : itFocus_(0)
-        , focus_(0)
+        : itFocus_(nullptr)
+        , focus_(nullptr)
         , objectTypeCounter_(0)
     {
@@ -106,5 +106,5 @@
             return *(this->itFocus_);
         else
-            return 0;
+            return nullptr;
     }
 
@@ -126,6 +126,6 @@
         {
             // focus object was deleted, release focus
-            this->focus_ = 0;
-            this->itFocus_ = 0;
+            this->focus_ = nullptr;
+            this->itFocus_ = nullptr;
         }
 
@@ -141,6 +141,6 @@
         {
             // list is empty
-            this->itFocus_ = 0;
-            this->focus_ = 0;
+            this->itFocus_ = nullptr;
+            this->focus_ = nullptr;
         }
 
@@ -156,5 +156,5 @@
             float nextDistance = FLT_MAX;
             float minimumDistance = FLT_MAX;
-            ObjectList<RadarViewable>::iterator itFallback = 0;
+            ObjectList<RadarViewable>::iterator itFallback = nullptr;
 
             for (ObjectList<RadarViewable>::iterator it = ObjectList<RadarViewable>::begin(); it; ++it)
@@ -191,6 +191,6 @@
     void Radar::releaseFocus()
     {
-        this->itFocus_ = 0;
-        this->focus_ = 0;
+        this->itFocus_ = nullptr;
+        this->focus_ = nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/Scene.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/Scene.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/Scene.cc	(revision 10768)
@@ -84,5 +84,5 @@
             this->rootSceneNode_ = this->sceneManager_->getRootSceneNode();
 
-            this->radar_ = 0;
+            this->radar_ = nullptr;
         }
 
@@ -92,9 +92,9 @@
         this->positiveWorldRange_ = Vector3::UNIT_SCALE *  defaultMaxWorldSize;
         this->gravity_ = Vector3::ZERO;
-        this->physicalWorld_   = 0;
-        this->solver_          = 0;
-        this->dispatcher_      = 0;
-        this->collisionConfig_ = 0;
-        this->broadphase_      = 0;
+        this->physicalWorld_   = nullptr;
+        this->solver_          = nullptr;
+        this->dispatcher_      = nullptr;
+        this->collisionConfig_ = nullptr;
+        this->broadphase_      = nullptr;
 
         this->registerVariables();
@@ -234,9 +234,9 @@
             delete this->collisionConfig_;
             delete this->broadphase_;
-            this->physicalWorld_   = 0;
-            this->solver_          = 0;
-            this->dispatcher_      = 0;
-            this->collisionConfig_ = 0;
-            this->broadphase_      = 0;
+            this->physicalWorld_   = nullptr;
+            this->solver_          = nullptr;
+            this->dispatcher_      = nullptr;
+            this->collisionConfig_ = nullptr;
+            this->broadphase_      = nullptr;
         }
     }
@@ -327,5 +327,5 @@
             ++i;
         }
-        return 0;
+        return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/Scene.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/Scene.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/Scene.h	(revision 10768)
@@ -111,5 +111,5 @@
         public:
             inline bool hasPhysics() const
-                { return this->physicalWorld_ != 0; }
+                { return this->physicalWorld_ != nullptr; }
             void setPhysicalWorld(bool wantsPhysics);
 
Index: code/branches/cpp11_v2/src/orxonox/Test.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/Test.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/Test.cc	(revision 10768)
@@ -54,9 +54,9 @@
     registerMemberNetworkFunction( Test, printBlaBla );
 
-    Test* Test::instance_ = 0;
+    Test* Test::instance_ = nullptr;
 
     Test::Test(Context* context) : BaseObject(context), Synchronisable(context)
     {
-        assert(instance_==0);
+        assert(instance_==nullptr);
         instance_=this;
         RegisterObject ( Test );
@@ -64,10 +64,10 @@
         registerVariables();
         setSyncMode(0x3);
-        this->pointer_ = 0;
+        this->pointer_ = nullptr;
     }
 
     Test::~Test()
     {
-        instance_=0;
+        instance_=nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/collisionshapes/CollisionShape.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/collisionshapes/CollisionShape.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/collisionshapes/CollisionShape.cc	(revision 10768)
@@ -57,7 +57,7 @@
         RegisterObject(CollisionShape);
 
-        this->parent_ = 0;
+        this->parent_ = nullptr;
         this->parentID_ = OBJECTID_UNKNOWN;
-        this->collisionShape_ = 0;
+        this->collisionShape_ = nullptr;
         this->position_ = Vector3::ZERO;
         this->orientation_ = Quaternion::IDENTITY;
@@ -154,5 +154,5 @@
     void CollisionShape::notifyDetached()
     {
-        this->parent_ = 0;
+        this->parent_ = nullptr;
         this->parentID_ = OBJECTID_UNKNOWN;
     }
Index: code/branches/cpp11_v2/src/orxonox/collisionshapes/CompoundCollisionShape.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/collisionshapes/CompoundCollisionShape.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/collisionshapes/CompoundCollisionShape.cc	(revision 10768)
@@ -197,5 +197,5 @@
     void CompoundCollisionShape::updatePublicShape()
     {
-        btCollisionShape* primitive = 0; // The primitive shape, if there is one.
+        btCollisionShape* primitive = nullptr; // The primitive shape, if there is one.
         bool bPrimitive = true; // Whether the CompoundCollisionShape has just one non-empty CollisionShape. And that shape also has no transformation.
         bool bEmpty = true; // Whether the CompoundCollisionShape is empty.
@@ -221,7 +221,7 @@
         {
             // If there was none all along, nothing needs to be changed.
-            if (this->collisionShape_ == 0)
+            if (this->collisionShape_ == nullptr)
                 return;
-            this->collisionShape_ = 0;
+            this->collisionShape_ = nullptr;
         }
         // If the CompoundCollisionShape is just a primitive.
@@ -253,5 +253,5 @@
             ++i;
         }
-        return 0;
+        return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/collisionshapes/CompoundCollisionShape.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/collisionshapes/CompoundCollisionShape.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/collisionshapes/CompoundCollisionShape.h	(revision 10768)
@@ -75,5 +75,5 @@
             void updatePublicShape();
             inline virtual btCollisionShape* createNewShape() const
-                { assert(false); return 0; }
+                { assert(false); return nullptr; }
 
             btCompoundShape* compoundShape_;
Index: code/branches/cpp11_v2/src/orxonox/collisionshapes/WorldEntityCollisionShape.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/collisionshapes/WorldEntityCollisionShape.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/collisionshapes/WorldEntityCollisionShape.cc	(revision 10768)
@@ -54,5 +54,5 @@
         CollisionShape::updateParent();
 
-        assert(this->worldEntityOwner_ != 0);
+        assert(this->worldEntityOwner_ != nullptr);
         this->worldEntityOwner_->notifyCollisionShapeChanged();
     }
Index: code/branches/cpp11_v2/src/orxonox/controllers/ArtificialController.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/ArtificialController.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/controllers/ArtificialController.cc	(revision 10768)
@@ -177,8 +177,8 @@
             {
                 this->weaponModes_.clear(); // reset previous weapon information
-                WeaponSlot* wSlot = 0;
+                WeaponSlot* wSlot = nullptr;
                 for(int l=0; (wSlot = pawn->getWeaponSlot(l)) ; l++)
                 {
-                    WeaponMode* wMode = 0;
+                    WeaponMode* wMode = nullptr;
                     for(int i=0; (wMode = wSlot->getWeapon()->getWeaponmode(i)) ; i++)
                     {
@@ -249,5 +249,5 @@
             return this->waypoints_[index];
         else
-            return 0;
+            return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/controllers/Controller.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/Controller.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/controllers/Controller.cc	(revision 10768)
@@ -40,6 +40,6 @@
         RegisterObject(Controller);
 
-        this->player_ = 0;
-        this->controllableEntity_ = 0;
+        this->player_ = nullptr;
+        this->controllableEntity_ = nullptr;
         this->bGodMode_ = false;
         this->team_=-1;
Index: code/branches/cpp11_v2/src/orxonox/controllers/DroneController.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/DroneController.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/controllers/DroneController.cc	(revision 10768)
@@ -49,6 +49,6 @@
         RegisterObject(DroneController);
 
-        this->owner_ = 0;
-        this->drone_ = 0;
+        this->owner_ = nullptr;
+        this->drone_ = nullptr;
         this->isShooting_ = false;
         this->setAccuracy(10);
Index: code/branches/cpp11_v2/src/orxonox/controllers/FormationController.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/FormationController.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/controllers/FormationController.cc	(revision 10768)
@@ -72,9 +72,9 @@
         RegisterObject(FormationController);
 
-        this->target_ = 0;
+        this->target_ = nullptr;
         this->formationFlight_ = false;
         this->passive_ = false;
         this->maxFormationSize_ = STANDARD_MAX_FORMATION_SIZE;
-        this->myMaster_ = 0;
+        this->myMaster_ = nullptr;
         this->freedomCount_ = 0;
 
@@ -104,5 +104,5 @@
                     {
                         orxout(internal_error) << this << " is still master in " << (*it) << endl;
-                        it->myMaster_ = 0;
+                        it->myMaster_ = nullptr;
                     }
 
@@ -142,5 +142,5 @@
         for (ObjectList<Pawn>::iterator it = ObjectList<Pawn>::begin(); it; ++it)
         {
-            Controller* controller = 0;
+            Controller* controller = nullptr;
 
             if (it->getController())
@@ -173,5 +173,5 @@
         for (ObjectList<Pawn>::iterator it = ObjectList<Pawn>::begin(); it; ++it)
         {
-            Controller* controller = 0;
+            Controller* controller = nullptr;
 
             if (it->getController())
@@ -203,5 +203,5 @@
         for (ObjectList<Pawn>::iterator it = ObjectList<Pawn>::begin(); it; ++it)
         {
-            Controller* controller = 0;
+            Controller* controller = nullptr;
 
             if (it->getController())
@@ -230,5 +230,5 @@
         for (ObjectList<Pawn>::iterator it = ObjectList<Pawn>::begin(); it; ++it)
         {
-            Controller* controller = 0;
+            Controller* controller = nullptr;
 
             if (it->getController())
@@ -383,5 +383,5 @@
         }
 
-        this->myMaster_ = 0;
+        this->myMaster_ = nullptr;
         this->state_ = FREE;
     }
@@ -411,5 +411,5 @@
 
             //has it an FormationController?
-            Controller* controller = 0;
+            Controller* controller = nullptr;
 
             if (it->getController())
@@ -458,5 +458,5 @@
         {
             this->state_ = MASTER;
-            this->myMaster_ = 0;
+            this->myMaster_ = nullptr;
         }
     }
@@ -518,5 +518,5 @@
             newMaster->state_ = MASTER;
             newMaster->slaves_ = this->slaves_;
-            newMaster->myMaster_ = 0;
+            newMaster->myMaster_ = nullptr;
 
             for(std::vector<FormationController*>::iterator it = newMaster->slaves_.begin(); it != newMaster->slaves_.end(); it++)
@@ -547,5 +547,5 @@
                 newMaster->state_ = MASTER;
                 newMaster->slaves_ = this->slaves_;
-                newMaster->myMaster_ = 0;
+                newMaster->myMaster_ = nullptr;
 
                 for(std::vector<FormationController*>::iterator it = newMaster->slaves_.begin(); it != newMaster->slaves_.end(); it++)
@@ -572,5 +572,5 @@
         {
             (*it)->state_ = FREE;
-            (*it)->myMaster_ = 0;
+            (*it)->myMaster_ = nullptr;
         }
         this->slaves_.clear();
@@ -629,5 +629,5 @@
 
         //search new Master, then take lead
-        if (this->state_==FREE && this->myMaster_==0)
+        if (this->state_==FREE && this->myMaster_==nullptr)
         {
           searchNewMaster();
@@ -654,5 +654,5 @@
                  (*it)->myMaster_=this;
             }
-            this->myMaster_=0;
+            this->myMaster_=nullptr;
             this->state_=MASTER;
         }
@@ -779,5 +779,5 @@
         for (ObjectList<Pawn>::iterator it = ObjectList<Pawn>::begin(); it; ++it)
         {
-            Controller* controller = 0;
+            Controller* controller = nullptr;
 
             if (it->getController())
@@ -943,5 +943,5 @@
     void FormationController::forgetTarget()
     {
-        this->target_ = 0;
+        this->target_ = nullptr;
         this->bShooting_ = false;
     }
@@ -963,5 +963,5 @@
         int team2 = entity2->getTeam();
 
-        Controller* controller = 0;
+        Controller* controller = nullptr;
         if (entity1->getController())
             controller = entity1->getController();
@@ -996,5 +996,5 @@
         }
 
-        TeamBaseMatchBase* base = 0;
+        TeamBaseMatchBase* base = nullptr;
         base = orxonox_cast<TeamBaseMatchBase*>(entity1);
         if (base)
@@ -1030,5 +1030,5 @@
         }
 
-        DroneController* droneController = 0;
+        DroneController* droneController = nullptr;
         droneController = orxonox_cast<DroneController*>(entity1->getController());
         if (droneController && static_cast<ControllableEntity*>(droneController->getOwner()) == entity2)
Index: code/branches/cpp11_v2/src/orxonox/controllers/HumanController.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/HumanController.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/controllers/HumanController.cc	(revision 10768)
@@ -65,5 +65,5 @@
     RegisterUnloadableClass(HumanController);
 
-    HumanController* HumanController::localController_s = 0;
+    HumanController* HumanController::localController_s = nullptr;
 
     HumanController::HumanController(Context* context) : FormationController(context)
@@ -81,5 +81,5 @@
             HumanController::localController_s->removeFromFormation();
         }
-        HumanController::localController_s = 0;
+        HumanController::localController_s = nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/controllers/NewHumanController.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/NewHumanController.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/controllers/NewHumanController.cc	(revision 10768)
@@ -58,5 +58,5 @@
     RegisterUnloadableClass(NewHumanController);
 
-    NewHumanController* NewHumanController::localController_s = 0;
+    NewHumanController* NewHumanController::localController_s = nullptr;
 
     NewHumanController::NewHumanController(Context* context)
@@ -445,6 +445,6 @@
             pawn->setAimPosition( mouseRay.getOrigin() + mouseRay.getDirection() * 3000 );
 
-        if( this->getControllableEntity() && this->getControllableEntity()->getTarget() != 0 )
-            this->getControllableEntity()->setTarget( 0 );
+        if( this->getControllableEntity() && this->getControllableEntity()->getTarget() != nullptr )
+            this->getControllableEntity()->setTarget( nullptr );
 
         //return this->controllableEntity_->getWorldPosition() + (this->controllableEntity_->getWorldOrientation() * Vector3::NEGATIVE_UNIT_Z * 2000);
Index: code/branches/cpp11_v2/src/orxonox/controllers/WaypointPatrolController.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/WaypointPatrolController.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/controllers/WaypointPatrolController.cc	(revision 10768)
@@ -101,5 +101,5 @@
 
         if (shortestsqdistance > (this->alertnessradius_ * this->alertnessradius_))
-            this->target_ = 0;
+            this->target_ = nullptr;
     }
 }
Index: code/branches/cpp11_v2/src/orxonox/gamestates/GSLevel.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gamestates/GSLevel.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gamestates/GSLevel.cc	(revision 10768)
@@ -65,8 +65,8 @@
     GSLevel::GSLevel(const GameStateInfo& info)
         : GameState(info)
-        , gameInputState_(0)
-        , guiMouseOnlyInputState_(0)
-        , guiKeysOnlyInputState_(0)
-        , startFile_(0)
+        , gameInputState_(nullptr)
+        , guiMouseOnlyInputState_(nullptr)
+        , guiKeysOnlyInputState_(nullptr)
+        , startFile_(nullptr)
         , bShowIngameGUI_(false)
     {
@@ -143,7 +143,7 @@
 #endif
 
-            gameInputState_->setHandler(0);
-            guiMouseOnlyInputState_->setHandler(0);
-            guiKeysOnlyInputState_->setHandler(0);
+            gameInputState_->setHandler(nullptr);
+            guiMouseOnlyInputState_->setHandler(nullptr);
+            guiKeysOnlyInputState_->setHandler(nullptr);
             InputManager::getInstance().destroyState("game");
             InputManager::getInstance().destroyState("guiKeysOnly");
Index: code/branches/cpp11_v2/src/orxonox/gamestates/GSMainMenu.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gamestates/GSMainMenu.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gamestates/GSMainMenu.cc	(revision 10768)
@@ -132,5 +132,5 @@
         InputManager::getInstance().leaveState("MainMenuHackery");
 
-        GraphicsManager::getInstance().setCamera(0);
+        GraphicsManager::getInstance().setCamera(nullptr);
         GUIManager::getInstance().setBackgroundImage("");
         GUIManager::hideGUI("MainMenu");
@@ -140,5 +140,5 @@
         ModifyConsoleCommand(__CC_startClient_name    ).deactivate();
         ModifyConsoleCommand(__CC_startDedicated_name ).deactivate();
-        ModifyConsoleCommand(__CC_setMainMenuSoundPath_name).setObject(0);
+        ModifyConsoleCommand(__CC_setMainMenuSoundPath_name).setObject(nullptr);
     }
 
Index: code/branches/cpp11_v2/src/orxonox/gamestates/GSRoot.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gamestates/GSRoot.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gamestates/GSRoot.cc	(revision 10768)
@@ -98,8 +98,8 @@
     void GSRoot::deactivate()
     {
-        ModifyConsoleCommand(__CC_setTimeFactor_name).setObject(0);
-        ModifyConsoleCommand(__CC_getTimeFactor_name).setObject(0);
-        ModifyConsoleCommand(__CC_setPause_name).setObject(0);
-        ModifyConsoleCommand(__CC_pause_name).setObject(0);
+        ModifyConsoleCommand(__CC_setTimeFactor_name).setObject(nullptr);
+        ModifyConsoleCommand(__CC_getTimeFactor_name).setObject(nullptr);
+        ModifyConsoleCommand(__CC_setPause_name).setObject(nullptr);
+        ModifyConsoleCommand(__CC_pause_name).setObject(nullptr);
     }
 
Index: code/branches/cpp11_v2/src/orxonox/gamestates/GSServer.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gamestates/GSServer.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gamestates/GSServer.cc	(revision 10768)
@@ -44,5 +44,5 @@
     GSServer::GSServer(const GameStateInfo& info)
         : GameState(info)
-        , server_(0)
+        , server_(nullptr)
     {
     }
Index: code/branches/cpp11_v2/src/orxonox/gametypes/Asteroids.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/Asteroids.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/Asteroids.h	(revision 10768)
@@ -50,5 +50,5 @@
 
         protected:
-            virtual void pawnKilled(Pawn* victim, Pawn* killer = 0);
+            virtual void pawnKilled(Pawn* victim, Pawn* killer = nullptr);
 
         private:
Index: code/branches/cpp11_v2/src/orxonox/gametypes/Deathmatch.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/Deathmatch.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/Deathmatch.h	(revision 10768)
@@ -47,5 +47,5 @@
             virtual bool playerChangedName(PlayerInfo* player);
 
-            virtual void pawnKilled(Pawn* victim, Pawn* killer = 0);
+            virtual void pawnKilled(Pawn* victim, Pawn* killer = nullptr);
             virtual void playerScored(PlayerInfo* player, int score = 1);
     };
Index: code/branches/cpp11_v2/src/orxonox/gametypes/Dynamicmatch.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/Dynamicmatch.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/Dynamicmatch.cc	(revision 10768)
@@ -685,5 +685,5 @@
         }
 
-        return 0;
+        return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/gametypes/Dynamicmatch.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/Dynamicmatch.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/Dynamicmatch.h	(revision 10768)
@@ -64,6 +64,6 @@
             bool tutorial; //goal: new players receive messages how the new gametype works - later it can be switched off.
 
-            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = 0); //ok - score function and management of parties
-            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = 0); //ok - simple
+            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr); //ok - score function and management of parties
+            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr); //ok - simple
             virtual void start();
             virtual void end(); //Wie geht das mit der Punkteausgabe aendern? Z.B: Persoenliche Nachricht?
Index: code/branches/cpp11_v2/src/orxonox/gametypes/Gametype.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/Gametype.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/Gametype.cc	(revision 10768)
@@ -66,5 +66,5 @@
 
         this->defaultControllableEntity_ = Class(Spectator);
-        this->scoreboard_ = 0;
+        this->scoreboard_ = nullptr;
 
         this->bAutoStart_ = false;
@@ -361,5 +361,5 @@
             return fallbackSpawnPoint;
         }
-        return 0;
+        return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/gametypes/Gametype.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/Gametype.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/Gametype.h	(revision 10768)
@@ -96,9 +96,9 @@
             virtual void playerScored(PlayerInfo* player, int score = 1);
 
-            virtual bool allowPawnHit(Pawn* victim, Pawn* originator = 0);
-            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = 0);
-            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = 0);
-
-            virtual void pawnKilled(Pawn* victim, Pawn* killer = 0);
+            virtual bool allowPawnHit(Pawn* victim, Pawn* originator = nullptr);
+            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr);
+            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr);
+
+            virtual void pawnKilled(Pawn* victim, Pawn* killer = nullptr);
             virtual void pawnPreSpawn(Pawn* pawn);
             virtual void pawnPostSpawn(Pawn* pawn);
Index: code/branches/cpp11_v2/src/orxonox/gametypes/LastManStanding.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/LastManStanding.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/LastManStanding.h	(revision 10768)
@@ -69,6 +69,6 @@
             void setConfigValues(); //!< Makes values configurable.
 
-            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = 0); //!< If a player shoot's an opponent, his punishment countdown will be resetted.
-            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = 0); //!< Manages each players lives.
+            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr); //!< If a player shoot's an opponent, his punishment countdown will be resetted.
+            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr); //!< Manages each players lives.
 
             virtual void end(); //!< Sends an end message.
Index: code/branches/cpp11_v2/src/orxonox/gametypes/LastTeamStanding.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/LastTeamStanding.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/LastTeamStanding.h	(revision 10768)
@@ -77,6 +77,6 @@
             virtual bool playerLeft(PlayerInfo* player); //!< Manages all local variables.
 
-            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = 0); //!< Manages each player's lost lives.
-            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = 0); //!< If a player shoot's an opponent, his punishment countdown will be resetted.
+            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr); //!< Manages each player's lost lives.
+            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr); //!< If a player shoot's an opponent, his punishment countdown will be resetted.
             virtual void playerStartsControllingPawn(PlayerInfo* player, Pawn* pawn); //!< Resets punishment time and respawn delay.
             void tick (float dt); //!< used to end the game
Index: code/branches/cpp11_v2/src/orxonox/gametypes/Mission.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/Mission.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/Mission.h	(revision 10768)
@@ -58,5 +58,5 @@
 
         protected:
-            virtual void pawnKilled(Pawn* victim, Pawn* killer = 0);
+            virtual void pawnKilled(Pawn* victim, Pawn* killer = nullptr);
             bool missionAccomplished_; //<! indicates if player successfully finsihed the mission;
             int lives_; //<! amount of player's lives <-> nr. of retries
Index: code/branches/cpp11_v2/src/orxonox/gametypes/TeamBaseMatch.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/TeamBaseMatch.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/TeamBaseMatch.cc	(revision 10768)
@@ -264,5 +264,5 @@
                 return (*it);
         }
-        return 0;
+        return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/gametypes/TeamBaseMatch.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/TeamBaseMatch.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/TeamBaseMatch.h	(revision 10768)
@@ -44,5 +44,5 @@
             virtual ~TeamBaseMatch() {}
 
-            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = 0);
+            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr);
             virtual bool allowPawnDamage(Pawn* victim, Pawn* originator);
 
Index: code/branches/cpp11_v2/src/orxonox/gametypes/TeamDeathmatch.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/TeamDeathmatch.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/TeamDeathmatch.h	(revision 10768)
@@ -48,5 +48,5 @@
             virtual bool playerChangedName(PlayerInfo* player);
 
-            virtual void pawnKilled(Pawn* victim, Pawn* killer = 0);
+            virtual void pawnKilled(Pawn* victim, Pawn* killer = nullptr);
             virtual void playerScored(PlayerInfo* player, int score = 1);
        protected:
Index: code/branches/cpp11_v2/src/orxonox/gametypes/TeamGametype.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/TeamGametype.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/TeamGametype.cc	(revision 10768)
@@ -277,5 +277,5 @@
         }
 
-        return 0;
+        return nullptr;
     }
 
@@ -340,5 +340,5 @@
         ControllableEntity* entity = orxonox_cast<ControllableEntity*>(pawn);
 
-        Controller* controller = 0;
+        Controller* controller = nullptr;
         if (entity->getController())
             controller = entity->getController();
Index: code/branches/cpp11_v2/src/orxonox/gametypes/TeamGametype.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/TeamGametype.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/TeamGametype.h	(revision 10768)
@@ -51,7 +51,7 @@
             virtual void spawnDeadPlayersIfRequested(); //!< Prevents players to respawn.
 
-            virtual bool allowPawnHit(Pawn* victim, Pawn* originator = 0);
-            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = 0);
-            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = 0);
+            virtual bool allowPawnHit(Pawn* victim, Pawn* originator = nullptr);
+            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr);
+            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr);
 
             virtual void playerStartsControllingPawn(PlayerInfo* player, Pawn* pawn);
Index: code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.cc	(revision 10768)
@@ -48,5 +48,5 @@
         this->gameTime_ = 180;
         this->teams_ = 2;
-        this->destroyer_ = 0;
+        this->destroyer_ = nullptr;
         this->destroyer_.setCallback(createFunctor(&UnderAttack::killedDestroyer, this));
         this->gameEnded_ = false;
@@ -202,5 +202,5 @@
     void UnderAttack::setTransporterHealth()
     {
-        if (this->destroyer_ != 0)
+        if (this->destroyer_ != nullptr)
         {
             //Calculation: Each attacker deals about 3500 damage. A human attacker deals 1500 damage additionally.
Index: code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.h	(revision 10768)
@@ -48,7 +48,7 @@
                 { return this->destroyer_; }
 
-            virtual bool allowPawnHit(Pawn* victim, Pawn* originator = 0);
-            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = 0);
-            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = 0);
+            virtual bool allowPawnHit(Pawn* victim, Pawn* originator = nullptr);
+            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr);
+            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr);
             virtual void playerEntered(PlayerInfo* player);
 
Index: code/branches/cpp11_v2/src/orxonox/graphics/Backlight.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/graphics/Backlight.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/graphics/Backlight.cc	(revision 10768)
@@ -51,6 +51,6 @@
         RegisterObject(Backlight);
 
-        this->ribbonTrail_ = 0;
-        this->ribbonTrailNode_ = 0;
+        this->ribbonTrail_ = nullptr;
+        this->ribbonTrailNode_ = nullptr;
 
         this->width_ = 0;
Index: code/branches/cpp11_v2/src/orxonox/graphics/Light.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/graphics/Light.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/graphics/Light.cc	(revision 10768)
@@ -53,5 +53,5 @@
         RegisterObject(Light);
 
-        this->light_ = 0;
+        this->light_ = nullptr;
         this->diffuse_ = ColourValue::White;
         this->specular_ = ColourValue::White;
Index: code/branches/cpp11_v2/src/orxonox/graphics/Model.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/graphics/Model.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/graphics/Model.cc	(revision 10768)
@@ -134,5 +134,5 @@
             Level* level = this->getLevel();
 
-            assert( level != 0 );
+            assert( level != nullptr );
 
             MeshLodInformation* lodInfo = level->getLodInfo(this->meshSrc_);
Index: code/branches/cpp11_v2/src/orxonox/graphics/ParticleEmitter.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/graphics/ParticleEmitter.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/graphics/ParticleEmitter.cc	(revision 10768)
@@ -52,5 +52,5 @@
             ThrowException(AbortLoading, "Can't create ParticleEmitter, no scene or no scene manager given.");
 
-        this->particles_ = 0;
+        this->particles_ = nullptr;
         this->LOD_ = LODParticle::Normal;
 
@@ -102,5 +102,5 @@
         {
             delete this->particles_;
-            this->particles_ = 0;
+            this->particles_ = nullptr;
         }
 
Index: code/branches/cpp11_v2/src/orxonox/infos/HumanPlayer.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/infos/HumanPlayer.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/infos/HumanPlayer.cc	(revision 10768)
@@ -53,6 +53,6 @@
         this->defaultController_ = Class(NewHumanController);
 
-        this->humanHud_ = 0;
-        this->gametypeHud_ = 0;
+        this->humanHud_ = nullptr;
+        this->gametypeHud_ = nullptr;
 
         this->setConfigValues();
@@ -178,5 +178,5 @@
         {
             this->humanHud_->destroy();
-            this->humanHud_ = 0;
+            this->humanHud_ = nullptr;
         }
 
@@ -194,5 +194,5 @@
         {
             this->gametypeHud_->destroy();
-            this->gametypeHud_ = 0;
+            this->gametypeHud_ = nullptr;
         }
 
Index: code/branches/cpp11_v2/src/orxonox/infos/PlayerInfo.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/infos/PlayerInfo.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/infos/PlayerInfo.cc	(revision 10768)
@@ -51,9 +51,9 @@
         this->bReadyToSpawn_ = false;
         this->bSetUnreadyAfterSpawn_ = true;
-        this->controller_ = 0;
-        this->controllableEntity_ = 0;
+        this->controller_ = nullptr;
+        this->controllableEntity_ = nullptr;
         this->controllableEntityID_ = OBJECTID_UNKNOWN;
 
-        this->gtinfo_ = 0;
+        this->gtinfo_ = nullptr;
         this->gtinfoID_ = OBJECTID_UNKNOWN;
         this->updateGametypeInfo(this->getGametype());
@@ -72,5 +72,5 @@
             {
                 this->controller_->destroy();
-                this->controller_ = 0;
+                this->controller_ = nullptr;
             }
 
@@ -126,5 +126,5 @@
     void PlayerInfo::updateGametypeInfo(Gametype* gametype)
     {
-        this->gtinfo_ = 0;
+        this->gtinfo_ = nullptr;
         this->gtinfoID_ = OBJECTID_UNKNOWN;
 
@@ -141,5 +141,5 @@
         {
             this->controller_->destroy();
-            this->controller_ = 0;
+            this->controller_ = nullptr;
         }
         this->controller_ = this->defaultController_.fabricate(this->getContext());
@@ -214,10 +214,10 @@
             return;
 
-        this->controllableEntity_->setController(0);
-        this->controllableEntity_ = 0;
+        this->controllableEntity_->setController(nullptr);
+        this->controllableEntity_ = nullptr;
         this->controllableEntityID_ = OBJECTID_UNKNOWN;
 
         if (this->controller_)
-            this->controller_->setControllableEntity(0);
+            this->controller_->setControllableEntity(nullptr);
 
         if ( GameMode::isMaster() )
@@ -242,5 +242,5 @@
         tmp->setActive(false);
         //this->controllableEntity_->getController()->setControllableEntity(nullptr);
-        this->controllableEntity_->setController(0);
+        this->controllableEntity_->setController(nullptr);
     }
 
@@ -253,5 +253,5 @@
             return;
 
-        this->controllableEntity_->setController(0);
+        this->controllableEntity_->setController(nullptr);
         if(this->isHumanPlayer()) // TODO: Multiplayer?
             this->controllableEntity_->destroyHud(); // HACK-ish
Index: code/branches/cpp11_v2/src/orxonox/interfaces/RadarViewable.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/interfaces/RadarViewable.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/interfaces/RadarViewable.h	(revision 10768)
@@ -66,5 +66,5 @@
                 if (name == "HIDDEN")
                 {
-                    this->bVisibility_ = 0;
+                    this->bVisibility_ = false;
                     this->settingsChanged();
                 }
Index: code/branches/cpp11_v2/src/orxonox/items/Engine.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/items/Engine.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/items/Engine.cc	(revision 10768)
@@ -50,5 +50,5 @@
         RegisterObject(Engine);
 
-        this->ship_ = 0;
+        this->ship_ = nullptr;
         this->shipID_ = OBJECTID_UNKNOWN;
         this->relativePosition_ = Vector3::ZERO;
@@ -136,5 +136,5 @@
     void Engine::networkcallback_shipID()
     {
-        this->ship_ = 0;
+        this->ship_ = nullptr;
 
         if (this->shipID_ != OBJECTID_UNKNOWN)
Index: code/branches/cpp11_v2/src/orxonox/items/MultiStateEngine.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/items/MultiStateEngine.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/items/MultiStateEngine.cc	(revision 10768)
@@ -67,7 +67,7 @@
         else
         {
-            this->defEngineSndBoost_ = 0;
-            this->defEngineSndNormal_ = 0;
-            this->lua_ = 0;
+            this->defEngineSndBoost_ = nullptr;
+            this->defEngineSndNormal_ = nullptr;
+            this->lua_ = nullptr;
         }
         this->state_ = 0;
Index: code/branches/cpp11_v2/src/orxonox/overlays/InGameConsole.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/overlays/InGameConsole.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/overlays/InGameConsole.cc	(revision 10768)
@@ -75,11 +75,11 @@
         : shell_(new Shell("InGameConsole", true))
         , bShowCursor_(false)
-        , consoleOverlay_(0)
-        , consoleOverlayContainer_(0)
-        , consoleOverlayNoise_(0)
-        , consoleOverlayCursor_(0)
-        , consoleOverlayBorder_(0)
-        , consoleOverlayTextAreas_(0)
-        , inputState_(0)
+        , consoleOverlay_(nullptr)
+        , consoleOverlayContainer_(nullptr)
+        , consoleOverlayNoise_(nullptr)
+        , consoleOverlayCursor_(nullptr)
+        , consoleOverlayBorder_(nullptr)
+        , consoleOverlayTextAreas_(nullptr)
+        , inputState_(nullptr)
     {
         RegisterObject(InGameConsole);
@@ -130,5 +130,5 @@
                     if (this->consoleOverlayTextAreas_[i])
                         Ogre::OverlayManager::getSingleton().destroyOverlayElement(this->consoleOverlayTextAreas_[i]);
-                    this->consoleOverlayTextAreas_[i] = 0;
+                    this->consoleOverlayTextAreas_[i] = nullptr;
                 }
 
@@ -140,5 +140,5 @@
         {
             delete[] this->consoleOverlayTextAreas_;
-            this->consoleOverlayTextAreas_ = 0;
+            this->consoleOverlayTextAreas_ = nullptr;
         }
 
@@ -175,6 +175,6 @@
             else
             {
-                inputState_->setMouseHandler(0);
-                inputState_->setJoyStickHandler(0);
+                inputState_->setMouseHandler(nullptr);
+                inputState_->setJoyStickHandler(nullptr);
             }
         }
Index: code/branches/cpp11_v2/src/orxonox/overlays/OrxonoxOverlay.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 10768)
@@ -70,6 +70,6 @@
         RegisterObject(OrxonoxOverlay);
 
-        this->owner_ = 0;
-        this->group_ = 0;
+        this->owner_ = nullptr;
+        this->group_ = nullptr;
 
         if (!GameMode::showsGraphics())
Index: code/branches/cpp11_v2/src/orxonox/overlays/OverlayGroup.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/overlays/OverlayGroup.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/overlays/OverlayGroup.cc	(revision 10768)
@@ -54,5 +54,5 @@
         RegisterObject(OverlayGroup);
 
-        this->owner_ = 0;
+        this->owner_ = nullptr;
 
         setScale(Vector2(1.0, 1.0));
@@ -139,5 +139,5 @@
         }
         else
-            return 0;
+            return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/Munition.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/Munition.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/Munition.cc	(revision 10768)
@@ -65,5 +65,5 @@
             // For separated magazines we definitively need a given user
             if (!user)
-                return 0;
+                return nullptr;
 
             // Use the map to get the magazine assigned to the given user
@@ -79,5 +79,5 @@
         }
 
-        return 0;
+        return nullptr;
     }
 
@@ -236,5 +236,5 @@
         // If we don't use separate magazines, set user to 0
         if (!this->bUseSeparateMagazines_)
-            user = 0;
+            user = nullptr;
 
         // Remove the current magazine for the given user
@@ -442,5 +442,5 @@
         // If we don't use separate magazines, set user to 0
         if (!this->bUseSeparateMagazines_)
-            user = 0;
+            user = nullptr;
 
         // Remove the current magazine for the given user
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/Weapon.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/Weapon.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/Weapon.cc	(revision 10768)
@@ -45,6 +45,6 @@
         RegisterObject(Weapon);
 
-        this->weaponPack_ = 0;
-        this->weaponSlot_ = 0;
+        this->weaponPack_ = nullptr;
+        this->weaponSlot_ = nullptr;
         this->bReloading_ = false;
         this->reloadingWeaponmode_ = WeaponSystem::WEAPON_MODE_UNASSIGNED;
@@ -92,5 +92,5 @@
             ++i;
         }
-        return 0;
+        return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponMode.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponMode.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponMode.cc	(revision 10768)
@@ -51,8 +51,8 @@
         RegisterObject(WeaponMode);
 
-        this->weapon_ = 0;
+        this->weapon_ = nullptr;
         this->mode_ = WeaponSystem::WEAPON_MODE_UNASSIGNED;
 
-        this->munition_ = 0;
+        this->munition_ = nullptr;
         this->initialMunition_ = 0;
         this->initialMagazines_ = 0;
@@ -232,5 +232,5 @@
         }
         else
-            this->munition_ = 0;
+            this->munition_ = nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponPack.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponPack.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponPack.cc	(revision 10768)
@@ -44,5 +44,5 @@
         RegisterObject(WeaponPack);
 
-        this->weaponSystem_ = 0;
+        this->weaponSystem_ = nullptr;
     }
 
@@ -107,5 +107,5 @@
         assert(it != this->weapons_.end());
         this->weapons_.erase(it);
-        weapon->setWeaponPack(0);
+        weapon->setWeaponPack(nullptr);
     }
 
@@ -121,5 +121,5 @@
         }
 
-        return 0;
+        return nullptr;
     }
 
@@ -139,5 +139,5 @@
             ++i;
         }
-        return 0;
+        return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSet.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSet.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSet.cc	(revision 10768)
@@ -43,5 +43,5 @@
         RegisterObject(WeaponSet);
 
-        this->weaponSystem_ = 0;
+        this->weaponSystem_ = nullptr;
         this->desiredFiremode_ = WeaponSystem::FIRE_MODE_UNASSIGNED;
     }
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSlot.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSlot.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSlot.cc	(revision 10768)
@@ -43,6 +43,6 @@
         RegisterObject(WeaponSlot);
 
-        this->weaponSystem_ = 0;
-        this->weapon_ = 0;
+        this->weaponSystem_ = nullptr;
+        this->weapon_ = nullptr;
 
         this->setSyncMode(ObjectDirection::None);
@@ -88,6 +88,6 @@
         if (this->weapon_)
         {
-            this->weapon_->setWeaponSlot(0);
-            this->weapon_ = 0;
+            this->weapon_->setWeaponSlot(nullptr);
+            this->weapon_ = nullptr;
         }
     }
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSlot.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSlot.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSlot.h	(revision 10768)
@@ -74,5 +74,5 @@
             */
             inline bool isOccupied() const
-                { return (this->weapon_ != 0); }
+                { return (this->weapon_ != nullptr); }
 
             inline void setWeaponSystem(WeaponSystem * weaponSystem)
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSystem.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 10768)
@@ -52,5 +52,5 @@
         RegisterObject(WeaponSystem);
 
-        this->pawn_ = 0;
+        this->pawn_ = nullptr;
     }
 
@@ -60,5 +60,5 @@
         {
             if (this->pawn_)
-                this->pawn_->setWeaponSystem(0);
+                this->pawn_->setWeaponSystem(nullptr);
 
             while (!this->weaponSets_.empty())
@@ -112,5 +112,5 @@
                 return (*it);
         }
-        return 0;
+        return nullptr;
     }
 
@@ -159,5 +159,5 @@
                 return it->second;
         }
-        return 0;
+        return nullptr;
     }
 
@@ -213,5 +213,5 @@
         // Remove all weapons from their WeaponSlot
         unsigned int i = 0;
-        Weapon* weapon = 0;
+        Weapon* weapon = nullptr;
         while ((weapon = wPack->getWeapon(i++)))
             if (weapon->getWeaponSlot())
@@ -237,5 +237,5 @@
                 return (*it);
         }
-        return 0;
+        return nullptr;
     }
 
@@ -303,5 +303,5 @@
     {
         if (!identifier || !identifier->getIdentifier())
-            return 0;
+            return nullptr;
 
         std::map<Identifier *, Munition *>::iterator it = this->munitions_.find(identifier->getIdentifier());
@@ -318,5 +318,5 @@
         else
         {
-            return 0;
+            return nullptr;
         }
     }
Index: code/branches/cpp11_v2/src/orxonox/worldentities/BigExplosion.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/BigExplosion.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/BigExplosion.cc	(revision 10768)
@@ -204,16 +204,16 @@
     void BigExplosion::initZero()
     {
-        this->debrisFire1_ = 0;
-        this->debrisFire2_ = 0;
-        this->debrisFire3_ = 0;
-        this->debrisFire4_ = 0;
-
-        this->debrisSmoke1_ = 0;
-        this->debrisSmoke2_ = 0;
-        this->debrisSmoke3_ = 0;
-        this->debrisSmoke4_ = 0;
-
-        this->explosionSmoke_=0;
-        this->explosionFire_=0;
+        this->debrisFire1_ = nullptr;
+        this->debrisFire2_ = nullptr;
+        this->debrisFire3_ = nullptr;
+        this->debrisFire4_ = nullptr;
+
+        this->debrisSmoke1_ = nullptr;
+        this->debrisSmoke2_ = nullptr;
+        this->debrisSmoke3_ = nullptr;
+        this->debrisSmoke4_ = nullptr;
+
+        this->explosionSmoke_=nullptr;
+        this->explosionFire_=nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/worldentities/ControllableEntity.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/ControllableEntity.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/ControllableEntity.cc	(revision 10768)
@@ -61,15 +61,15 @@
         this->server_overwrite_ = 0;
         this->client_overwrite_ = 0;
-        this->player_ = 0;
+        this->player_ = nullptr;
         this->formerPlayer_ = nullptr;
         this->playerID_ = OBJECTID_UNKNOWN;
-        this->hud_ = 0;
-        this->camera_ = 0;
-        this->xmlcontroller_ = 0;
-        //this->controller_ = 0;
-        this->reverseCamera_ = 0;
+        this->hud_ = nullptr;
+        this->camera_ = nullptr;
+        this->xmlcontroller_ = nullptr;
+        //this->controller_ = nullptr;
+        this->reverseCamera_ = nullptr;
         this->bDestroyWhenPlayerLeft_ = false;
         this->cameraPositionRootNode_ = this->node_->createChildSceneNode();
-        this->currentCameraPosition_ = 0;
+        this->currentCameraPosition_ = nullptr;
         this->bMouseLook_ = false;
         this->mouseLookSpeed_ = 200;
@@ -171,5 +171,5 @@
             ++i;
         }
-        return 0;
+        return nullptr;
     }
 
@@ -241,5 +241,5 @@
             {
                 this->camera_->attachToNode(this->cameraPositionRootNode_);
-                this->currentCameraPosition_ = 0;
+                this->currentCameraPosition_ = nullptr;
             }
 
@@ -321,5 +321,5 @@
         if ( !GameMode::isMaster() )
         {
-            if ( target != 0 )
+            if ( target != nullptr )
             {
                 callMemberNetworkFunction(&ControllableEntity::setTargetInternal, this->getObjectID(), 0, target->getObjectID() );
@@ -372,5 +372,5 @@
             this->stopLocalHumanControl();
 
-        this->player_ = 0;
+        this->player_ = nullptr;
         this->playerID_ = OBJECTID_UNKNOWN;
         this->bHasLocalController_ = false;
@@ -411,5 +411,5 @@
             {
                 this->camera_->attachToNode(this->cameraPositionRootNode_);
-                this->currentCameraPosition_ = 0;
+                this->currentCameraPosition_ = nullptr;
             }
         }
@@ -447,5 +447,5 @@
             this->camera_->detachFromParent();
             this->camera_->destroy();
-            this->camera_ = 0;
+            this->camera_ = nullptr;
         }
 
@@ -453,5 +453,5 @@
         {
             this->hud_->destroy();
-            this->hud_ = 0;
+            this->hud_ = nullptr;
         }
     }
Index: code/branches/cpp11_v2/src/orxonox/worldentities/Drone.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/Drone.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/Drone.cc	(revision 10768)
@@ -43,5 +43,5 @@
         RegisterObject(Drone);
 
-        this->myController_ = 0;
+        this->myController_ = nullptr;
 
         this->localLinearAcceleration_.setValue(0, 0, 0);
Index: code/branches/cpp11_v2/src/orxonox/worldentities/ExplosionChunk.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/ExplosionChunk.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/ExplosionChunk.cc	(revision 10768)
@@ -62,12 +62,12 @@
             {
                 orxout(internal_error) << "Couldn't load particle effect in ExplosionChunk: " << ex.what() << endl;
-                this->fire_ = 0;
-                this->smoke_ = 0;
+                this->fire_ = nullptr;
+                this->smoke_ = nullptr;
             }
         }
         else
         {
-            this->fire_ = 0;
-            this->smoke_ = 0;
+            this->fire_ = nullptr;
+            this->smoke_ = nullptr;
         }
 
Index: code/branches/cpp11_v2/src/orxonox/worldentities/MovableEntity.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/MovableEntity.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/MovableEntity.cc	(revision 10768)
@@ -50,5 +50,5 @@
         this->overwrite_orientation_ = Quaternion::IDENTITY;
 
-        this->continuousResynchroTimer_ = 0;
+        this->continuousResynchroTimer_ = nullptr;
 
         this->setPriority(Priority::Low);
@@ -80,5 +80,5 @@
             {
                 float damage = this->collisionDamage_ * (victim->getVelocity() - this->getVelocity()).length();
-                victim->hit(0, contactPoint, ownCollisionShape, damage);
+                victim->hit(nullptr, contactPoint, ownCollisionShape, damage);
             }
         }
Index: code/branches/cpp11_v2/src/orxonox/worldentities/SpawnPoint.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/SpawnPoint.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/SpawnPoint.cc	(revision 10768)
@@ -43,5 +43,5 @@
         RegisterObject(SpawnPoint);
 
-        this->template_ = 0;
+        this->template_ = nullptr;
 
         if (this->getGametype())
Index: code/branches/cpp11_v2/src/orxonox/worldentities/WorldEntity.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/WorldEntity.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/WorldEntity.cc	(revision 10768)
@@ -77,5 +77,5 @@
         this->node_ = this->getScene()->getRootSceneNode()->createChildSceneNode();
 
-        this->parent_ = 0;
+        this->parent_ = nullptr;
         this->parentID_ = OBJECTID_UNKNOWN;
         this->bDeleteWithParent_ = true;
@@ -90,5 +90,5 @@
 
         // Default behaviour does not include physics
-        this->physicalBody_   = 0;
+        this->physicalBody_   = nullptr;
         this->bPhysicsActive_ = false;
         this->bPhysicsActiveSynchronised_    = false;
@@ -498,5 +498,5 @@
     void WorldEntity::notifyDetached()
     {
-        this->parent_ = 0;
+        this->parent_ = nullptr;
         this->parentID_ = OBJECTID_UNKNOWN;
 
@@ -525,5 +525,5 @@
             ++i;
         }
-        return 0;
+        return nullptr;
     }
 
@@ -856,5 +856,5 @@
             deactivatePhysics();
             delete this->physicalBody_;
-            this->physicalBody_ = 0;
+            this->physicalBody_ = nullptr;
             this->collisionType_ = None;
             this->collisionTypeSynchronised_ = None;
Index: code/branches/cpp11_v2/src/orxonox/worldentities/pawns/ModularSpaceShip.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/pawns/ModularSpaceShip.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/pawns/ModularSpaceShip.cc	(revision 10768)
@@ -53,5 +53,5 @@
     RegisterClass(ModularSpaceShip);
 
-    std::map<StaticEntity*, ShipPart*>* ModularSpaceShip::partMap_s = 0;
+    std::map<StaticEntity*, ShipPart*>* ModularSpaceShip::partMap_s = nullptr;
 
     ModularSpaceShip::ModularSpaceShip(Context* context) : SpaceShip(context)
Index: code/branches/cpp11_v2/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/pawns/Pawn.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/pawns/Pawn.cc	(revision 10768)
@@ -76,5 +76,5 @@
         this->reloadWaitCountdown_ = 0;
 
-        this->lastHitOriginator_ = 0;
+        this->lastHitOriginator_ = nullptr;
 
         // set damage multiplier to default value 1, meaning nominal damage
@@ -91,5 +91,5 @@
         }
         else
-            this->weaponSystem_ = 0;
+            this->weaponSystem_ = nullptr;
 
         this->setRadarObjectColour(ColourValue::Red);
@@ -109,5 +109,5 @@
         else
         {
-            this->explosionSound_ = 0;
+            this->explosionSound_ = nullptr;
         }
     }
@@ -345,5 +345,5 @@
                     {
                         // delete the AIController // <-- TODO: delete? nothing is deleted here... should we delete the controller?
-                        slave->setControllableEntity(0);
+                        slave->setControllableEntity(nullptr);
 
                         // set a new master within the formation
@@ -509,5 +509,5 @@
             return this->weaponSystem_->getWeaponSlot(index);
         else
-            return 0;
+            return nullptr;
     }
 
@@ -523,5 +523,5 @@
             return this->weaponSystem_->getWeaponSet(index);
         else
-            return 0;
+            return nullptr;
     }
 
@@ -551,5 +551,5 @@
             return this->weaponSystem_->getWeaponPack(index);
         else
-            return 0;
+            return nullptr;
     }
 
@@ -594,5 +594,5 @@
                 return it->getController();
         }
-        return 0;
+        return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/orxonox/worldentities/pawns/Pawn.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/pawns/Pawn.h	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/pawns/Pawn.h	(revision 10768)
@@ -207,5 +207,5 @@
             virtual void spawneffect();
 
-            //virtual void damage(float damage, Pawn* originator = 0);
+            //virtual void damage(float damage, Pawn* originator = nullptr);
             virtual void damage(float damage, float healthdamage = 0.0f, float shielddamage = 0.0f, Pawn* originator = nullptr, const btCollisionShape* cs = nullptr);
 
Index: code/branches/cpp11_v2/src/orxonox/worldentities/pawns/SpaceShip.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 10768)
@@ -494,5 +494,5 @@
             Camera* camera = this->getCamera();
             //Shaking Camera effect
-            if (camera != 0)
+            if (camera != nullptr)
                 camera->setOrientation(Vector3::UNIT_X, angle);
 
@@ -526,5 +526,5 @@
         {
             Camera *camera = this->getCamera();
-            if (camera == 0)
+            if (camera == nullptr)
             {
                 orxout(internal_warning) << "Failed to reset camera!" << endl;
Index: code/branches/cpp11_v2/src/orxonox/worldentities/pawns/Spectator.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/pawns/Spectator.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/pawns/Spectator.cc	(revision 10768)
@@ -58,5 +58,5 @@
         this->localVelocity_ = Vector3::ZERO;
         this->setHudTemplate("spectatorhud");
-        this->greetingFlare_ = 0;
+        this->greetingFlare_ = nullptr;
 
         this->setDestroyWhenPlayerLeft(true);
